## e-cal-enums e-cal-enums |

## Types and Values

enum | ECalClientSourceType
enum | ECalObjModType
enum | ECalComponentVType
enum | ECalComponentClassification
enum | ECalComponentPeriodKind
enum | ECalComponentRangeKind
enum | ECalComponentTransparency
enum | ECalComponentAlarmAction
enum | ECalComponentAlarmTriggerKind
enum | ECalRecurDescribeRecurrenceFlags
enum | ECalOperationFlags
enum | ECalIntervalUnits

## Description

## Functions

## Types and Values

### enum ECalClientSourceType

Indicates the type of calendar

#### Members

E_CAL_CLIENT_SOURCE_TYPE_EVENTS | Events calander |
E_CAL_CLIENT_SOURCE_TYPE_TASKS | Task list calendar |
E_CAL_CLIENT_SOURCE_TYPE_MEMOS | Memo list calendar |
E_CAL_CLIENT_SOURCE_TYPE_LAST | Artificial 'last' value of the enum |

Since: 3.2

### enum ECalObjModType

Indicates the type of modification made to a calendar

#### Members

E_CAL_OBJ_MOD_THIS | Modify this component |
E_CAL_OBJ_MOD_THIS_AND_PRIOR | Modify this component and all prior occurrances |
E_CAL_OBJ_MOD_THIS_AND_FUTURE | Modify this component and all future occurrances |
E_CAL_OBJ_MOD_ALL | Modify all occurrances of this component |
E_CAL_OBJ_MOD_ONLY_THIS | Modify only this component |

Since: 3.8

### enum ECalComponentVType

Types of calendar components to be stored by a ECalComponent, as per RFC 2445. We don't put the alarm component type here since we store alarms as separate structures inside the other "real" components.

#### Members

E_CAL_COMPONENT_NO_TYPE | Unknown or unsupported component type |
E_CAL_COMPONENT_EVENT | vEvent type |
E_CAL_COMPONENT_TODO | vTodo type |
E_CAL_COMPONENT_JOURNAL | vJournal type |
E_CAL_COMPONENT_FREEBUSY | vFreeBusy type |
E_CAL_COMPONENT_TIMEZONE | vTimezone type |

### enum ECalComponentClassification

CLASSIFICATION property

#### Members

E_CAL_COMPONENT_CLASS_NONE | None |
E_CAL_COMPONENT_CLASS_PUBLIC | Public |
E_CAL_COMPONENT_CLASS_PRIVATE | Private |
E_CAL_COMPONENT_CLASS_CONFIDENTIAL | Confidential |
E_CAL_COMPONENT_CLASS_UNKNOWN | Unknown |

### enum ECalComponentPeriodKind

Way in which a period of time is specified

#### Members

E_CAL_COMPONENT_PERIOD_DATETIME | Date and time |
E_CAL_COMPONENT_PERIOD_DURATION | Duration |

### enum ECalComponentRangeKind

The kind of range

#### Members

E_CAL_COMPONENT_RANGE_SINGLE | Single |
E_CAL_COMPONENT_RANGE_THISPRIOR | This and prior |
E_CAL_COMPONENT_RANGE_THISFUTURE | This and future |

### enum ECalComponentTransparency

Time transparency

#### Members

E_CAL_COMPONENT_TRANSP_NONE | None |
E_CAL_COMPONENT_TRANSP_TRANSPARENT | Transparent |
E_CAL_COMPONENT_TRANSP_OPAQUE | Opaque |
E_CAL_COMPONENT_TRANSP_UNKNOWN | Unknown |

### enum ECalComponentAlarmAction

Alarm types

#### Members

E_CAL_COMPONENT_ALARM_NONE | None |
E_CAL_COMPONENT_ALARM_AUDIO | Audio |
E_CAL_COMPONENT_ALARM_DISPLAY | Display message |
E_CAL_COMPONENT_ALARM_EMAIL | Email |
E_CAL_COMPONENT_ALARM_PROCEDURE | Procedure |
E_CAL_COMPONENT_ALARM_UNKNOWN | Unknown |

### enum ECalComponentAlarmTriggerKind

#### Members

E_CAL_COMPONENT_ALARM_TRIGGER_NONE |  |
E_CAL_COMPONENT_ALARM_TRIGGER_RELATIVE_START |  |
E_CAL_COMPONENT_ALARM_TRIGGER_RELATIVE_END |  |
E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE |  |

### enum ECalRecurDescribeRecurrenceFlags

Influences behaviour of `e_cal_recur_describe_recurrence()`.

#### Members

E_CAL_RECUR_DESCRIBE_RECURRENCE_FLAG_NONE | no extra flags, either returns `NULL` or the recurrence description, something like "Every 2 weeks..." |
E_CAL_RECUR_DESCRIBE_RECURRENCE_FLAG_PREFIXED | either returns `NULL` or the recurrence description prefixed with text like "The meeting recurs", forming something like "The meeting recurs every 2 weeks..." |
E_CAL_RECUR_DESCRIBE_RECURRENCE_FLAG_FALLBACK | returns `NULL` only if the component doesn't recur, otherwise returns either the recurrence description or at least text like "The meeting recurs" |

Since: 3.30

### enum ECalOperationFlags

Calendar operation flags, to specify behavior in certain situations. The conflict resolution mode flags cannot be combined together, where the `E_CAL_OPERATION_FLAG_CONFLICT_KEEP_LOCAL` is the default behavior (and it is used when no other conflict resolution flag is set). The flags can be ignored when the operation or the backend don't support it.

#### Members

E_CAL_OPERATION_FLAG_NONE | no operation flags defined |
E_CAL_OPERATION_FLAG_CONFLICT_FAIL | conflict resolution mode, to fail and do not do any changes, when a conflict is detected |
E_CAL_OPERATION_FLAG_CONFLICT_USE_NEWER | conflict resolution mode, to use newer of the local and the server side data, when a conflict is detected |
E_CAL_OPERATION_FLAG_CONFLICT_KEEP_SERVER | conflict resolution mode, to use the server data (and local changed), when a conflict is detected |
E_CAL_OPERATION_FLAG_CONFLICT_KEEP_LOCAL | conflict resolution mode, to use local data (and always overwrite server data), when a conflict is detected |
E_CAL_OPERATION_FLAG_CONFLICT_WRITE_COPY | conflict resolution mode, to create a copy of the data, when a conflict is detected |
E_CAL_OPERATION_FLAG_DISABLE_ITIP_MESSAGE | request to disable send of an iTip message by the server; this works only for servers which support iTip handling |

Since: 3.34

### enum ECalIntervalUnits

Declares interval units.

#### Members

E_CAL_INTERVAL_UNIT_NONE | No unit is set |
E_CAL_INTERVAL_UNIT_MINUTES | interval is in minutes |
E_CAL_INTERVAL_UNIT_HOURS | interval is in hours |
E_CAL_INTERVAL_UNIT_DAYS | interval is in days |

Since: 3.52